Bug 95880 - Add lock mark on protected sheet tab before tab label
Summary: Add lock mark on protected sheet tab before tab label
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2015-11-17 18:39 UTC by Timur
Modified: 2018-01-17 01:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Lock mark - Before and after Eike's patch (6.61 KB, image/jpeg)
2017-11-22 08:08 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-11-17 18:39:22 UTC
When a protected sheet tab is right clicked, it already has the lock mark.
But, in order to distinguish protected sheets, it would be nice to also have the small lock mark directly on a protected sheet tab (in the upper right corner).
Comment 1 Cor Nouws 2015-11-17 19:20:16 UTC
Thanks :)
Comment 2 Robinson Tryon (qubit) 2016-08-25 05:38:53 UTC Comment hidden (obsolete)
Comment 3 Heiko Tietze 2016-10-13 11:34:27 UTC
(In reply to Timur from comment #0)
> When a protected sheet tab is right clicked, it already has the lock mark.
> But, in order to distinguish protected sheets, it would be nice to also have
> the small lock mark directly on a protected sheet tab (in the upper right
> corner).

Definitely a good idea. However, "upper right corner" sounds strange. Why no have it directly next to the tab label? (Only the locked tabs would have an icon, do not show an unlock symbol on every tab.)

Removing needsUX, moving to Calc
Comment 4 Jean-Francois Nifenecker 2017-06-17 14:06:43 UTC
This could be indeed useful, but not in all and any situations.
In a corporate environment, it might be preferred to *not* show such a signal to avoid worrying users of spreadsheet templates.

Thus I'd prefer having this enhancement to be optional.
Comment 5 Gülşah Köse 2017-06-19 08:33:33 UTC
Hi, I was working on it for it has new tag. If there is a discussion about the subject, please change the label.
Comment 6 Timur 2017-06-21 17:08:56 UTC
(In reply to Jean-Francois Nifenecker from comment #4)
> This could be indeed useful, but not in all and any situations.
> In a corporate environment, it might be preferred to *not* show such a
> signal to avoid worrying users of spreadsheet templates.
Can you please explain? 
> Thus I'd prefer having this enhancement to be optional.
I guess you mean to have this enhancement regularly included in general installation, but with the option in expert configuration not to be shown.
Comment 7 Timur 2017-07-06 16:47:39 UTC Comment hidden (obsolete)
Comment 8 Jean-Sebastien Bevilacqua 2017-07-07 13:40:23 UTC
Hello,
I talked about it during the last ESC and committee seems to like this feature.
I have several clients (big French administrations) who would like this feature integrated.

Jean-Sébastien Bevilacqua
Comment 9 Gülşah Köse 2017-07-10 08:09:34 UTC
I was away for a long time. Now i'm back now but i won't continue with that bug. I want to improve myself on import export filters. Anyone can feel free for fixing that bug.
Comment 10 Gülşah Köse 2017-11-10 13:23:23 UTC
Came back. https://gerrit.libreoffice.org/#/c/44558/ puts an asterisk on protected tabs. Needs code review and help about lock mark.
Comment 11 Commit Notification 2017-11-20 21:28:15 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5fccf17f33aa7e97314c14a5a4616b2f2643614c

tdf#95880 Add a lock mark on protected sheet tab.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Timur 2017-11-21 08:15:11 UTC
Nice. Gulsah, please mark as fixed.
Comment 13 Commit Notification 2017-11-21 10:20:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77ee31f4f89a4db50064040d026feecbbfb7b20b

Render lock symbol with sheet name, tdf#95880 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Timur 2017-11-22 08:08:38 UTC
Created attachment 137909 [details]
Lock mark - Before and after Eike's patch

I can't say what's better, look before or after Eike's patch, but I guess there were reasons as written. 
Anyway, thank you both. 

Jean-Francois didn't follow with the explanation why we wouldn't show lock mark also in a corporate environment, for spreadsheet templates.
For me, it's better to have this mark always because it gives a clue why some sheet is different and why some fields cannot be changed.